#!/usr/bin/env python

# TQt tutorial 3.

import sys
from PyTQt import tqt


a = tqt.TQApplication(sys.argv)

box = tqt.TQVBox()
box.resize(200, 120)

quit = tqt.TQPushButton("Quit", box)
quit.setFont(tqt.TQFont("Times", 18, tqt.TQFont.Bold))

tqt.TQObject.connect(quit, tqt.TQ_SIGNAL("clicked()"), a, tqt.TQ_SLOT("quit()"))

a.setMainWidget(box)
box.show()
sys.exit(a.exec_loop())
